import java.util.ArrayList;

public class Zwerg extends Haendler {
    
  public Zwerg(String name){
    super(name);
  }

  @Override
  public ArrayList<Item> handel(Item i) {
    ArrayList<Item> ergebnis = new ArrayList<Item>();
    switch(i.toString()) {
      case Pilz.NAME : {
        ergebnis.add(new Stein());
        ergebnis.add(new Stein());
        return ergebnis;
      }
      case Trank.NAME : {
        ergebnis.add(new Stein());
        return ergebnis;
      }
      case Stein.NAME : {
        ergebnis.add(i);
        return ergebnis;
      }
    }
    return ergebnis;
  }
  
  @Override
  public String toString(){
    return "Zwerg " + this.name;
  }
}
